Historique des versions
3.51 du 13/07/2017
- ajout de l'ion butylammonium dans la base
- modification du code pour compatibilité de compilation sous Lazarus 1.8
3.50 du 30/06/2016
- ajout de la possibilité de mettre les légendes des courbes dans un encadré positionnable
- modification du code pour résoudre un problème de compilation sous Lazarus 1.6
3.42 du 24/10/2015
- correction d'un bug empêchant le fonctionnement normal lorsque le dossier d'installation contient des caractères accentués
3.41 du 16/03/2015
- correction d'un bug qui empéchait un export correct de certains graphes
3.40 du 09/05/2014
- modification du système de graduations afin d'avoir uniquement des multiples de 1, 2, 5.
- augmentation de la taille des points représentatifs à l'imprimante (trop petits jusque là)
3.35 du 07/05/2014
- ajout dans la base des acides et bases dérivés de l'acide aspartique
- correction des bugs de saisie pour la version OSX dans la fenêtre des formules brutes et celle des fonctions
- la fenêtre de tracé se redimensionne maintenant en même temps que la fenêtre
3.33 du 01/12/2013
- correction du bug de refus d'ouverture ou d'enregistrement depuis un dossier comprenant des caractères accentués
3.32 du 23/11/2013
- correction du bug d'export des résultats bruts au format regressi
- prise en compte des caractères accentués dans le tri des bases
- possibilité de trier les bases par colonne en cliquant en haut de la colonne
- export des résultats: séparation par menu entre export csv et export regressi, et export par défaut dans le repertoire perso de simulation
- splashscreen compatible avec la compilation sous lazarus 1.0 sous OSX
- dans les saisies numériques, remplacement automatique de la virgule par le point décimal
- modif du répertoire d'accueil des dosages perso pour qu'il ne soit pas caché par défaut sous linux et OSX:

    /home/${USER}/MesDosages sous linux
    Mes Documents\MesDosages sous windows
    /Users/user/MesDosages sous Mac OSX

- correction d'un bug de dossier de chargement ou de sauvegarde lorsqu'on change de repertoire
3.31 du 11/11/2013
- ajout de l'ion phénolate dans la base
-correction de la fenêtre d'électroneutralité qui était noire sous OSX
3.30 du 23/08/2012
- ajout bouton "dilution" qui permet au choix de multiplier toutes les concentrations, ou d'ajouter de l'eau, ou d'imposer le volume total (avec recalcul des concentrations initiales, ce que ne fait pas la saisie "volume initial").
- H[+] et OH[-] placé en premiers dans la grille des acides-bases
- Modification des répertoires:
le répertoire personnel de configuration de dozzzaqueux est maintenant :

    /home/${USER}/.config/dozzzaqueux sous linux
    %appdata%\dozzzaqueux sous windows
    /Users/user/.config/dozzzaqueux sous Mac OSX

le répertoire d'accueil des dosages perso est

    /home/${USER}/.config/dozzzaqueux/MesDosages sous linux
    Mes Documents\MesDosages sous windows
    /Users/user/.config/dozzzaqueux/MesDosages sous Mac OSX

3.21 du 02/10/2011
- correction bug de décalage d'affichage dans la version linux
- amélioration prise en charge anciens fichiers .doz non encodés en UTF8
- possibilité de copier dans le presse-papier le contenu de la fenêtre d'affichage des résultats pour un point particulier
- correction bug boutons x10 et /10 quand aucune espèce n'était saisie
3.20 du 04/07/2011
- correction bug: limite inférieure pas non utilisée en pas adaptatif
- correction bug: lors d'un tracé avec utilisation des dérivées puis d'une suppression du calcul des dérivées, les grandeurs calculées utilisant les dérivées n'étaient pas supprimées
- correction bug version windows: le bas de la fenêtre était parfois masqué par la barre des taches
- correction bug: le curseur ne se mettait pas en fin de ligne dans l'éditeur de saisie de formule brute
- correction bug version windows: l'icône avait disparu
- ajout d'un bouton "abandon" dans la fenêtre de saisie des expressions
3.10 du 28/02/2010
- ajout des indicateurs colorés: la couleur de l'indicateur peut être tracée verticalement selon le pH ou horizontalement selon le volume; la bande peut être deplacée et sa taille modifiée
- correction d'un bug: le pas adaptatif ne fonctionnait plus
3.06 du 02/09/2009
- correction d'un bug: fenêtre de recherche par identifiant vide pour la burette
3.05 du 22/08/2009
- correction d'un bug dans la lecture de fichier rw3 pour superposition
3.04 du 18/08/2009
- possibilité de choisir la taille de l'image lors de l'export du graphe en PNG et JPG
-correction d'un bug dans certaines boites de dialogue qui n'affichaient pas "OK"
-amélioration de l'adaptation des tailles de police aux dufférentes plateformes
3.03 du 10/08/2009
- 1ere version stable écrite en Lazarus
- correction de quelques bugs
- les fichiers de la base de donnée et les fichiers d'exemple ont été réencodés en UTF-8 afin d'être pleinement multi-plateforme; attention, si vous avez des fichiers exemples des anciennes versions, il faut impérativement les transformer en UTF-8 (pour cela, il suffit de les ouvrir dans le logiciel gratuit Notepad++; faire Format, Encoder en ITF-8 (sans BOM), et de sauver).
2.5 du 27/04/2008
-ajout du calcul des potentiels redox (calcul purement thermodynamique (pas de cinétique, de potentiel mixte), pas de ddp interfaciale)
-correction d'un bug lorsque un métal figurait dans le bécher
2.0b1 du 18/04/2008:
-ajout du calcul des dérivées des concentrations/volume versé
-ajout d'exemples avec comparaison formule de Henderson (facilité par l'ajout de fonctions sup, inf, nansup, naninf, nanin, nanout)
- possibilité de lancer une simulation en ligne de commande (Linux et Windows) et s'associer les fichiers .doz avec Dozzzaqueux (Windows)
1.04 du 15/12/2006:
-correction d'un bug dans la saisie des quantités de matière en g et en g/L
1.03 du 13/09/2006:
-correction d'un bug dans la sélection d'incrément des valeurs pour un faisceau
1.02 du 09/09/2006:
-possibilité de superposer les simulations effectuées depuis le dernier lancement de Dozzzaqueux sans les sauvegarder sur disque
-pour le mode faisceau, les couleurs sont en dégradé pour mieux les repérer
-ajout de boutons pour multiplier et diviser par 10 les concentrations dans le bacher et la burette
08/09/2006: l'installateur pour Windows a été modifié, celui en ligne ne fonctionnait pas sous Windows 98; la faute à un patch de Delphi; avis à ceux qui voudraient recompiler Dozzzaqueux: il faut patcher Delphi 7 Pro avec le "Delphi 7 VisualCLX patch" qu'on trouve sur Internet, mais en version 3.7: la 3.10 empêche(chez moi du moins...) l'application compilée de tourner sous Windows 98.
[Mise à jour du 08/09/2006: la version en ligne ne fonctionnait pas sous Windows 98 !]
1.01 du 22/08/2006:
-achévement de l'ajout dans la base de tous les complexes trouvés dans la littérature
-correction d'un bug mineur de calcul
1.00 du 15/08/2006:
-ajout de la possibilité de sélectionner une espéce par identifiant et par formule brute partielle
-modification de l'algorithme de calcul des concentrations en présence de solides: le nouveau est à peine plus lent mais plus efficace
-modifications importantes dans la base de donnée: les solides portent systèmatiquement la terminaison (s) pour les repérer plus facilement; beaucoup de noms peu explicites de solides ont été changés pour plus de clarté (en conséquence les fichiers .doz obtenus avec les versions précédentes peuvent ne pas fonctionner avec celle-ci); poursuite de l'entrée des complexes; il en reste encore à entrer...
- améliorations cosmétiques dans Dozzzaqueux
-ajout de fonctionnalités dans ModifBase
1.0 bêta 2 du 29/04/2006:
-ajout de la possibilité d'équilibrage automatique des charges
-ajout de la possibilité d'arrêter les calculs par appui sur la touche Esc
-ajout de complexes dans la base de données avec l'ion fluor comme ligand (il reste des complexes à entrer dans la base: des amateurs ?)
-correction d'un bug dans modifbase dans le cas où il n'y a pas de valeur de rayon équivalent pour Debye et Hückel
-ajout de l'exemple du dosage des ions Hg(II) par les ions cyanure
1.0 bêta 1:
-ajout du logiciel "Modifbase" qui permet de modifier la base de données
-contrôle d'électroneutralité
-possibilité de modifier les conductivité molaires équivalentes temporairement dans une session Dozzzaqueux (et définitivement avec Modifbase)
-correction d'un bug qui pouvait empêcher l'afffichage des courbes si le titre était trop large
0.995: correction d'un bug qui pouvait bloquer les calculs en présence de solides; modification du format de la base de données; modification du script de lancement de la version Linux (voir remarque ci-dessous)
0.98: ajout du support du modèle de Debye et Hückel pour les activités, et de l'utilisation directe des activités dans les tracés.
0.975: suppression d'un bug dans le chargement des fichiers d'expérience au format rw3 issus de Acquichimie
0.97: ajouts de conductivités dans la base de données; amélioration de l'algorithme de calcul pour volume versé nul
0.96: ajout du support du calcul de la conductivité
0.95: première version mise en ligne